bt_packet_logger_client_free
bt_packet_logger_client_new
bt_packet_logger_client_start_service
bt_packet_logger_client_t
bt_packet_logger_error_t
bt_packet_logger_receive_cb_t
bt_packet_logger_receive_with_timeout
bt_packet_logger_start_capture
bt_packet_logger_stop_capture

## bt_packet_logger_receive_with_timeout()

LIBIMOBILEDEVICE_API bt_packet_logger_error_t bt_packet_logger_receive_with_timeout | ( | bt_packet_logger_client_t | client,
|  | char * | data,
|  | uint32_t | size,
|  | uint32_t * | received,
|  | unsigned int | timeout )

Receives data using the given bt_packet_logger client with specified timeout.

Parameters

  client | The bt_packet_logger client to use for receiving
  data | Buffer that will be filled with the data received
  size | Number of bytes to receive
  received | Number of bytes received (can be NULL to ignore)
  timeout | Maximum time in milliseconds to wait for data.

Returns
  BT_PACKET_LOGGER_E_SUCCESS on success, BT_PACKET_LOGGER_E_INVALID_ARG when one or more parameters are invalid, BT_PACKET_LOGGER_E_MUX_ERROR when a communication error occurs, or BT_PACKET_LOGGER_E_UNKNOWN_ERROR when an unspecified error occurs.